Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: pdumodel::MeteredLinePair Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::MeteredLinePair Struct Reference

An inlet line pair. More...

`import "Pole.idl";`

## Public Attributes
PowerLine | leftLine
| Power line of left node.
PowerLine | rightLine
| Power line of right node.
int | leftNodeId
| Left node id.
int | rightNodeId
| Right node id.
sensors::NumericSensor | voltage
| RMS voltage sensor, L-L, may be a VoltageMonitoringSensor.
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | voltageThd
| Voltage total harmonic distortion sensor.
sensors::NumericSensor | currentThd
| Current total harmonic distortion sensor.

## Detailed Description

An inlet line pair.

Definition at line 57 of file Pole.idl.

## Member Data Documentation

## ◆ activeEnergy

sensors::NumericSensor pdumodel::MeteredLinePair::activeEnergy

Active energy sensor.

Definition at line 71 of file Pole.idl.

## ◆ activePower

sensors::NumericSensor pdumodel::MeteredLinePair::activePower

Active power sensor.

Definition at line 65 of file Pole.idl.

## ◆ apparentEnergy

sensors::NumericSensor pdumodel::MeteredLinePair::apparentEnergy

Apparent energy sensor.

Definition at line 72 of file Pole.idl.

## ◆ apparentPower

sensors::NumericSensor pdumodel::MeteredLinePair::apparentPower

Apparent power sensor.

Definition at line 67 of file Pole.idl.

## ◆ crestFactor

sensors::NumericSensor pdumodel::MeteredLinePair::crestFactor

Crest factor sensor.

Definition at line 73 of file Pole.idl.

## ◆ current

sensors::NumericSensor pdumodel::MeteredLinePair::current

RMS current sensor.

Definition at line 63 of file Pole.idl.

## ◆ currentThd

sensors::NumericSensor pdumodel::MeteredLinePair::currentThd

Current total harmonic distortion sensor.

Definition at line 75 of file Pole.idl.

## ◆ displacementPowerFactor

sensors::NumericSensor pdumodel::MeteredLinePair::displacementPowerFactor

Displacement power factor sensor.

Definition at line 70 of file Pole.idl.

## ◆ leftLine

PowerLine pdumodel::MeteredLinePair::leftLine

Power line of left node.

Definition at line 58 of file Pole.idl.

## ◆ leftNodeId

int pdumodel::MeteredLinePair::leftNodeId

Left node id.

Definition at line 60 of file Pole.idl.

## ◆ peakCurrent

sensors::NumericSensor pdumodel::MeteredLinePair::peakCurrent

Peak current sensor.

Definition at line 64 of file Pole.idl.

## ◆ phaseAngle

sensors::NumericSensor pdumodel::MeteredLinePair::phaseAngle

Phase angle sensor.

Definition at line 69 of file Pole.idl.

## ◆ powerFactor

sensors::NumericSensor pdumodel::MeteredLinePair::powerFactor

Power factor sensor.

Definition at line 68 of file Pole.idl.

## ◆ reactivePower

sensors::NumericSensor pdumodel::MeteredLinePair::reactivePower

Reactive power sensor.

Definition at line 66 of file Pole.idl.

## ◆ rightLine

PowerLine pdumodel::MeteredLinePair::rightLine

Power line of right node.

Definition at line 59 of file Pole.idl.

## ◆ rightNodeId

int pdumodel::MeteredLinePair::rightNodeId

Right node id.

Definition at line 61 of file Pole.idl.

## ◆ voltage

sensors::NumericSensor pdumodel::MeteredLinePair::voltage

RMS voltage sensor, L-L, may be a VoltageMonitoringSensor.

Definition at line 62 of file Pole.idl.

## ◆ voltageThd

sensors::NumericSensor pdumodel::MeteredLinePair::voltageThd

Voltage total harmonic distortion sensor.

Definition at line 74 of file Pole.idl.

The documentation for this struct was generated from the following file:

- Pole.idl